# Interface CacheItem

interface CacheItem {
active: boolean;
featureNS: string;
featurePrefix: string;
features: Collection<Feature<Geometry>>;
interaction: Snap;
maxFeatures: number;
requestDeferred: IDeferred<unknown>;
snappingConfig: any;
stateWatcherUnregister: Function;
treeCtrl: LayertreeController;
wfsConfig: WFSConfig;
}

- Defined in src/editing/Snapping.js:853

#####
Index

### Properties

active
featureNS
featurePrefix
features
interaction
maxFeatures
requestDeferred
snappingConfig
stateWatcherUnregister
treeCtrl
wfsConfig

## Properties

### active

active: boolean

- Defined in src/editing/Snapping.js:854

### featureNS

featureNS: string

- Defined in src/editing/Snapping.js:855

### featurePrefix

featurePrefix: string

- Defined in src/editing/Snapping.js:856

### features

features: Collection<Feature<Geometry>>

- Defined in src/editing/Snapping.js:857

### interaction

interaction: Snap

- Defined in src/editing/Snapping.js:858

### maxFeatures

maxFeatures: number

- Defined in src/editing/Snapping.js:859

### requestDeferred

requestDeferred: IDeferred<unknown>

- Defined in src/editing/Snapping.js:860

### snappingConfig

snappingConfig: any

- Defined in src/editing/Snapping.js:861

### stateWatcherUnregister

stateWatcherUnregister: Function

- Defined in src/editing/Snapping.js:862

### treeCtrl

treeCtrl: LayertreeController

- Defined in src/editing/Snapping.js:863

### wfsConfig

wfsConfig: WFSConfig

- Defined in src/editing/Snapping.js:864

Generated using TypeDoc